# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name wai-extra

%global common_summary Basic WAI handlers and middleware

%global common_description This library provides common Web Application Interface features.

Name:           ghc-%{pkg_name}
Version:        1.2.0.4
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        MIT
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-ansi-terminal-devel
BuildRequires:  ghc-blaze-builder-conduit-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-fast-logger-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-wai-devel
BuildRequires:  ghc-zlib-conduit-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 1.2.0.4-2
- rebuild

* Wed May 16 2012 Jens Petersen <petersen@redhat.com> - 1.2.0.4-1
- update to 1.2.0.4
- license is now MIT

* Tue May  1 2012 Jens Petersen <petersen@redhat.com> - 0.4.6-4
- allows zlib-bindings 0.1

* Wed Apr 11 2012 Jens Petersen <petersen@redhat.com> - 0.4.6-3
- allow data-default 0.4

* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.4.6-2
- add license to ghc_files

* Wed Mar  7 2012 Jens Petersen <petersen@redhat.com> - 0.4.6-1
- update to 0.4.6
- new depends on fast-logger

* Fri Jan  6 2012 Jens Petersen <petersen@redhat.com> - 0.4.5.2-1
- update to 0.4.5.2 and cabal2spec-0.25.2

* Sun Oct 30 2011 Jens Petersen <petersen@redhat.com> - 0.4.3-2
- rebuild against newer enumerator

* Tue Oct 25 2011 Jens Petersen <petersen@redhat.com> - 0.4.3-1
- update to 0.4.3 and cabal2spec-0.24.1
- update dependencies

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.2-1
- Initial package (#630300)

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.2.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
